Index: main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/etc/collectionConfig.xml
===================================================================
--- main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/etc/collectionConfig.xml	(revision 29889)
+++ main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/etc/collectionConfig.xml	(revision 29890)
@@ -17,38 +17,34 @@
 		<displayItem assigned="true" lang="en" name="section">section</displayItem>
 	</displayItemList>
-	<format>
-			<gsf:template name="choose-title">
-				<gsf:choose-metadata>
-					<gsf:metadata name="dc.Title"/>
-					<gsf:metadata name="exp.Title"/>
-					<gsf:metadata name="ex.dc.Title"/>
-					<gsf:metadata name="ex.ID3.Title"/>
-					<gsf:metadata name="ex.Title"/>
-					<gsf:metadata name="Title"/>
-					<gsf:default>Untitled</gsf:default>
-				</gsf:choose-metadata>
-				<gsf:switch>
-					<gsf:metadata name="dc.Creator"/>
-					<gsf:when test="exists">
-						<gsf:switch>
-						  <gsf:metadata name="dc.Creator"/>
-							<gsf:when test="notEquals" test-value="Unknown">
-							by
-							<i><gsf:metadata name="dc.Creator"/></i>
-							</gsf:when>
-						</gsf:switch>
-					</gsf:when>
-				</gsf:switch>
-			</gsf:template>
-		</format>
+	<format>  <gsf:template name="choose-title">
+    <gsf:choose-metadata>
+      <gsf:metadata name="dc.Title"/>
+      <gsf:metadata name="exp.Title"/>
+      <gsf:metadata name="ex.dc.Title"/>
+      <gsf:metadata name="ex.ID3.Title"/>
+      <gsf:metadata name="ex.Title"/>
+      <gsf:metadata name="Title"/>
+      <gsf:default>Untitled</gsf:default>
+    </gsf:choose-metadata>
+    <gsf:switch>
+      <gsf:metadata name="dc.Creator"/>
+      <gsf:when test="exists">
+        <gsf:switch>
+          <gsf:metadata name="dc.Description"/>
+          <gsf:when test="notEquals" test-value="Unknown">
+ 
+              <gsf:metadata name="dc.Description"/>
+
+          </gsf:when>
+        </gsf:switch>
+      </gsf:when>
+    </gsf:switch>
+  </gsf:template>
+
+</format>
 	<search type="lucene">
 		<level name="document">
 			<displayItem lang="en" name="name">document</displayItem>
 		</level>
-<!--
-		<level name="section">
-			<displayItem lang="en" name="name">section</displayItem>
-		</level>
--->
 		<defaultLevel name="document"/>
 		<index name="dc.Title,ex.dc.Title,ex.ID3.Title,Title">
@@ -108,8 +104,5 @@
 					<gsf:switch>
 						<gsf:metadata name="artist"/>
-						<gsf:when test="exists">
-						  by 
-						  <gsf:metadata name="artist"/>
-						</gsf:when>
+						<gsf:when test="exists">by<gsf:metadata name="artist"/></gsf:when>
 					</gsf:switch>
 					<gsf:switch>
@@ -129,14 +122,8 @@
 			<plugin name="ZIPPlugin"/>
 			<plugin name="GreenstoneXMLPlugin"/>
-<!--
-			<plugin name="EmbeddedMetadataPlugin">
-				<option name="-process_exp" value="(?i)\.mp4$"/>
-			</plugin>
--->
 			<plugin name="UnknownPlugin">
 				<option name="-process_exp" value="(i?)\.mp4$"/>
 				<option name="-OIDtype" value="hash_on_full_filename"/>
 				<option name="-file_rename_method" value="base64"/>
-
 			</plugin>
 			<plugin name="TextPlugin"/>
@@ -184,5 +171,5 @@
 				</td>
 <!--
-				<td valign="top">
+<td valign="top">
 					<gsf:link type="source">
 						<gsf:choose-metadata>
@@ -245,154 +232,133 @@
 	</browse>
 	<display>
-		<format>
-			<gsf:option name="TOC" value="false"/>
+		<format>  <gsf:option name="TOC" value="false"/>
 <!--
 Overwriting this template allows you to change the heading of the document.
 -->
-			<gsf:template name="documentHeading">
-			  <gsf:metadata name="assocfilepath" select="root" hidden="true"/>
+  <gsf:template name="documentHeading">
+    <gsf:metadata hidden="true" name="assocfilepath" select="root"/>
+    <xsl:variable name="httpCollection">
+      <xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>
+    </xsl:variable>
+<!--
+Metadata derived from finger-printing
+-->
+<!--
+<xsl:call-template name="discovery-block">
+<xsl:with-param name="httpCollection" select="$httpCollection"/>
+</xsl:call-template>
+-->
+    <h3>
+      <xsl:call-template name="choose-title"/>
+    </h3>
+  </gsf:template>
+<!--
+Overwriting this template can be used to redefine the content of the whole document. This is useful for simple documents, but not recommended for more complex documents (e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
+-->
+<!--
+<gsf:template name="documentContent">
+<xsl:call-template name="wrappedSectionImage"/>
+<xsl:call-template name="wrappedSectionText"/>
+</gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of section headings.
+-->
+<!--
+<gsf:template name="sectionHeading">
+<xsl:call-template name="choose-title"/>
+</gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of the top-level section.
+-->
+<!--
+<gsf:template name="topLevelSectionContent">
+<xsl:call-template name="wrappedSectionImage"/>
+<xsl:call-template name="wrappedSectionText"/>
+</gsf:template>
+-->
+<!--
+Overwriting this template can be used to change the content of sections.
+-->
+<!--
+<gsf:template name="sectionContent">
+<xsl:call-template name="wrappedSectionImage"/>
+<xsl:call-template name="wrappedSectionText"/>
+</gsf:template>
+-->
+  <xsl:template name="additionalHeaderContent">
+    <gsf:variable name="httpCollection">
+      <xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>
+    </gsf:variable>
+    <gsf:script src="{$httpCollection}/js/pep.js"/>
+    <gsf:link src="{$httpCollection}/style/jtab-helper.css"/>
+    <gsf:script src="{$httpCollection}/js/raphael.js"/>
+    <gsf:script src="{$httpCollection}/js/jtab.js"/>
+<!--
+<xsl:call-template name="soundmanager2-header"/>
+<xsl:call-template name="js-mad-header"/>
+-->
+<!--
+Bespoke jquery-ui extension for turnstyle open/close blocks
+-->
+    <gsf:style src="ext/jquery-ui-extra/turnstyle-block.css"/>
+    <gsf:script src="ext/jquery-ui-extra/turnstyle-block.js"/>
+<!--
+The Javascript DSP files for computing chroma features in the browser
+-->
+    <xsl:call-template name="javascript-dsp-header"/>
+<!--
+Javascript support for running, sending input into, monitoring, and stopping Meandre flows
+-->
+<!--
+<gsf:script src="ext/meandre/meandre-controller.js"/>
+<gsf:style src="ext/photo-notes/PhotoNotes-1.5.css"/>
+<gsf:style src="ext/photo-notes/annotator.min.css"/>
+<gsf:script src="ext/photo-notes/BrowserDetect.js"/>
+<gsf:script src="ext/photo-notes/PhotoNotes-1.5.js"/>
+<gsf:script src="ext/photo-notes/main-ingest.js"/>
+<gsf:script src="ext/photo-notes/main-notes.js"/>
+<gsf:script src="{$httpCollection}/script2/main-play-notes.js"/>
+-->
+    <gsf:style src="{$httpCollection}/style/media-player.css"/>
+    <gsf:script src="{$httpCollection}/js/media-player.js"/>
+    <gsf:style src="{$httpCollection}/style/audiosynth.css"/>
+    <gsf:script src="{$httpCollection}/js/audiosynth.js"/>
+    <gsf:script src="{$httpCollection}/js/audiosynth.view.js"/>
+    <gsf:script src="{$httpCollection}/js/in-the-groove.js"/>
+    <gsf:script src="{$httpCollection}/js/jquery-drums.js"/>
+    <gsf:style src="{$httpCollection}/style/jam-guitar.css"/>
+    <gsf:script src="{$httpCollection}/js/jam-guitar.js"/>
+    <gsf:script src="{$httpCollection}/js/game-on.js"/>
 
-			  <xsl:variable name="httpCollection">
-			    <xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>
-			  </xsl:variable>
-<!--
-Metadata derived from finger-printing
--->
-<!--
-				<xsl:call-template name="discovery-block">
-					<xsl:with-param name="httpCollection" select="$httpCollection"/>
-				</xsl:call-template>
--->
-                             <h3><xsl:call-template name="choose-title"/></h3>
+    <gsf:style  src="{$httpCollection}/js/jquery.qtip.min.css"/>
+    <gsf:script src="{$httpCollection}/js/jquery.qtip.min.js"/>
+    <gsf:script src="{$httpCollection}/js/qtip-popups.js"/>
+<!--
+MIDI.js library
+-->
+    <gsf:script src="{$httpCollection}/js/midi/inc/shim/Base64.js"/>
+    <gsf:script src="{$httpCollection}/js/midi/inc/shim/Base64binary.js"/>
+    <gsf:script src="{$httpCollection}/js/midi/inc/shim/WebAudioAPI.js"/>
+<!--
+midi.js package
+-->
+    <gsf:script src="{$httpCollection}/js/midi/audioDetect.js"/>
+    <gsf:script src="{$httpCollection}/js/midi/gm.js"/>
+    <gsf:script src="{$httpCollection}/js/midi/loader.js"/>
+    <gsf:script src="{$httpCollection}/js/midi/plugin.audiotag.js"/>
+    <gsf:script src="{$httpCollection}/js/midi/plugin.webaudio.js"/>
+    <gsf:script src="{$httpCollection}/js/midi/plugin.webmidi.js"/>
+<!--
+utils
+-->
+    <gsf:script src="{$httpCollection}/js/midi/util/dom_request_xhr.js"/>
+    <gsf:script src="{$httpCollection}/js/midi/util/dom_request_script.js"/>
+    <gsf:script src="{$httpCollection}/js/respool-midi.js"/>
+    <gsf:style>.metadata-stripes td { padding: 4px; } .metadata-stripes tr:nth-child(odd) {background: #CCC} .metadata-stripes tr:nth-child(even) {background: #FFF} .vis-heading { font-style:italic; } #rightSidebar { display: none; } #gs_content { border: 0px; margin-top: 10px; min-height: 600px; padding: 0px 10px 10px; }</gsf:style>
+  </xsl:template>
 
-			</gsf:template>
-<!--
-Overwriting this template can be used to redefine the content of the whole document. 
-	   This is useful for simple documents, but not recommended for more complex documents
-	   (e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
--->
-<!--
-<gsf:template name="documentContent">
-	   <xsl:call-template name="wrappedSectionImage"/>
-	   <xsl:call-template name="wrappedSectionText"/>
-	   </gsf:template>
--->
-<!--
-Overwriting this template can be used to change the content of section headings.
--->
-<!--
-<gsf:template name="sectionHeading">
-	  <xsl:call-template name="choose-title"/>
-	  </gsf:template>
--->
-<!--
-Overwriting this template can be used to change the content of the top-level section.
--->
-<!--
-<gsf:template name="topLevelSectionContent">
-	  <xsl:call-template name="wrappedSectionImage"/>
-	  <xsl:call-template name="wrappedSectionText"/>
-	  </gsf:template>
--->
-<!--
-Overwriting this template can be used to change the content of sections.
--->
-<!--
-<gsf:template name="sectionContent">
-	  <xsl:call-template name="wrappedSectionImage"/>
-	  <xsl:call-template name="wrappedSectionText"/>
-	  </gsf:template>
--->
-			<xsl:template name="additionalHeaderContent">
-				<gsf:variable name="httpCollection">
-					<xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>
-				</gsf:variable>
-
-                                <gsf:script src="{$httpCollection}/js/pep.js"/>
-
-				<gsf:link src="{$httpCollection}/style/jtab-helper.css"/>				
-                                <gsf:script src="{$httpCollection}/js/raphael.js"/>
-                                <gsf:script src="{$httpCollection}/js/jtab.js"/>
-<!--
-				<xsl:call-template name="soundmanager2-header"/>
-				<xsl:call-template name="js-mad-header"/>
--->
-				<!--
-				    Bespoke jquery-ui extension for turnstyle open/close blocks
-				-->
-				<gsf:style src="ext/jquery-ui-extra/turnstyle-block.css"/>
-				<gsf:script src="ext/jquery-ui-extra/turnstyle-block.js"/>
-				<!--
-				    The Javascript DSP files for computing chroma features in the browser
-				-->
-				<xsl:call-template name="javascript-dsp-header"/>
-				<!--
-				    Javascript support for running, sending input into, monitoring, and stopping Meandre flows
-				-->
-<!--
-				<gsf:script src="ext/meandre/meandre-controller.js"/>
-				<gsf:style src="ext/photo-notes/PhotoNotes-1.5.css"/>
-				<gsf:style src="ext/photo-notes/annotator.min.css"/>
-				<gsf:script src="ext/photo-notes/BrowserDetect.js"/>
-				<gsf:script src="ext/photo-notes/PhotoNotes-1.5.js"/>
-				<gsf:script src="ext/photo-notes/main-ingest.js"/>
-				<gsf:script src="ext/photo-notes/main-notes.js"/>
-				<gsf:script src="{$httpCollection}/script2/main-play-notes.js"/>
--->
-				<gsf:style  src="{$httpCollection}/style/media-player.css" />				
-				<gsf:script src="{$httpCollection}/js/media-player.js"/>
-
-				<gsf:style  src="{$httpCollection}/style/audiosynth.css" />				
-				<gsf:script src="{$httpCollection}/js/audiosynth.js"/>
-				<gsf:script src="{$httpCollection}/js/audiosynth.view.js"/>
-
-				<gsf:script src="{$httpCollection}/js/in-the-groove.js" />
-
-				<gsf:script src="{$httpCollection}/js/jquery-drums.js" />
-
-				<gsf:style  src="{$httpCollection}/style/jam-guitar.css" />				
-				<gsf:script src="{$httpCollection}/js/jam-guitar.js"/>
-
-				<gsf:script src="{$httpCollection}/js/game-on.js"/>
-
-
-                                <!-- MIDI.js library -->
-
-                                <gsf:script src="{$httpCollection}/js/midi/inc/shim/Base64.js"/>
-				<gsf:script src="{$httpCollection}/js/midi/inc/shim/Base64binary.js"/>
-				<gsf:script src="{$httpCollection}/js/midi/inc/shim/WebAudioAPI.js"/>
-				<!-- midi.js package -->
-				<gsf:script src="{$httpCollection}/js/midi/audioDetect.js"/>
-				<gsf:script src="{$httpCollection}/js/midi/gm.js"/>
-				<gsf:script src="{$httpCollection}/js/midi/loader.js"/>
-				<gsf:script src="{$httpCollection}/js/midi/plugin.audiotag.js"/>
-				<gsf:script src="{$httpCollection}/js/midi/plugin.webaudio.js"/>
-				<gsf:script src="{$httpCollection}/js/midi/plugin.webmidi.js"/>
-				<!-- utils -->
-				<gsf:script src="{$httpCollection}/js/midi/util/dom_request_xhr.js"/>
-				<gsf:script src="{$httpCollection}/js/midi/util/dom_request_script.js"/>
-
-				<gsf:script src="{$httpCollection}/js/respool-midi.js"/>
-
-				<gsf:style>
-				  .metadata-stripes td { padding: 4px; }
-				  .metadata-stripes tr:nth-child(odd)  {background: #CCC}
-				  .metadata-stripes tr:nth-child(even) {background: #FFF}      
-				  
-				  .vis-heading  { font-style:italic; }
-
-				  #rightSidebar { display: none; }
-
-				  #gs_content {
-				    border: 0px;
-				    margin-top: 10px;
-				    min-height: 600px;
-				    padding: 0px 10px 10px;
-				  }
-
-				</gsf:style>
-			</xsl:template>
-
-		</format>
+</format>
 	</display>
 	<replaceListRef id="gs2-standard"/>
Index: main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/media-player.css
===================================================================
--- main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/media-player.css	(revision 29889)
+++ main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/media-player.css	(revision 29890)
@@ -72,5 +72,4 @@
 	/* width:172px; */
 	height:26px;
-	border:none;
 /*
 	margin-right:5px;
@@ -78,7 +77,14 @@
 
 	background:#434343;
+	margin: 0;
+/*
 	padding: 0;
-	margin: 0;
 	border: 0;
+*/
+	border: 2px solid black;
+	padding: 2px;
+	padding-left: 4px;
+	padding-right: 4px;
+
 }
 #progress::-moz-progress-bar { background:#2e52a4; }
Index: main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl
===================================================================
--- main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl	(revision 29889)
+++ main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl	(revision 29890)
@@ -1319,15 +1319,35 @@
 
     <div class="video-player-bar">
-      <div id="video-titlebar" style="background-image: none; background-color: #2E52A4; width: 97%; float: left; margin-bottom: 10px;">
+      <div id="video-titlebar" style="background-image: none; background-color: #2E52A4; width: 97%; float: left; margin-bottom: 10px; z-index: 4; position: relative;">
 	Video Display
       </div>
 
       <div id="video-area" class="documenttext" 
-	   style="display: none; position: absolute: left: 0px; top: 0px;">
+	   style="display: none; position: absolute: left: 0px; top: 0px; z-index: 1;">
 	<center>
-	  <video id="video" width="60%" controls="true">
-	    <source src="{$httpCollection}/index/assoc/{$assocFilePath}/{$streamablevideo}" />
-	    Your browser does not support the video tag.
-	  </video>
+
+
+	  <style>
+	    #video_box {position:relative; z-index: 1;}
+	    #overlay {position: absolute; t: 0; left: 0; z-index: 2;}
+	    #video_container {z-index: 1;}
+
+	    #XXXvideo_container {position:absolute;top: 0px;left: 0px;}
+	  </style>
+
+
+	  <div id="video_box">
+	    <div id="overlay"><xsl:comment>filler</xsl:comment></div>
+	    <div id="video_container">
+
+	      <video id="video" width="60%" controls="false">
+		<source src="{$httpCollection}/index/assoc/{$assocFilePath}/{$streamablevideo}" />
+		<track id="bubbles" label="Metadata" kind="metadata" 
+		       srclang="en" src="{$httpCollection}/tracks/land-down-under-metadata-en.vtt" default="default" />
+		Your browser does not support the video tag.
+	      </video>
+
+	    </div>
+	  </div>
 	</center> 
       </div>
@@ -1338,5 +1358,5 @@
 	<input id="progress-bar" type="range" 
 	       min='0' max='100' step='0.01' value='0' 
-	       style="width: 100%"/>
+	       style="width: 98%"/> <!-- used to be 100% -->
 
       </div>
@@ -1418,5 +1438,5 @@
           <div style="color: white;">
 
-	    <form style="width: 99%; margin-top: 10px; margin-bottom: 10px;">
+	    <form id="bubForm" style="width: 99%; margin-top: 10px; margin-bottom: 10px;">
 	      <fieldset>
 		<legend id="mpm-legend">Popup Layers</legend>