Index: main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/game-on.js
===================================================================
--- main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/game-on.js	(revision 29897)
+++ main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/game-on.js	(revision 29898)
@@ -267,7 +267,26 @@
 		    var block_y_dim = midi_y_dim_spacing * (block_midi_range);
 
-		    var block_rect = goPaper.rect(block_x_org-1,block_y_org-1,block_x_dim+2,block_y_dim+2); // fudge factor!
-		    block_rect.attr({"stroke":"none", "stroke-width":0, "fill":"rgba(46, 82, 164, 0.5)"});
-		    go_top_level_group.push(block_rect);
+		    if (gs.xsltParams.interface_name != "respooled") {
+			var block_rect = goPaper.rect(block_x_org-1,block_y_org-1,block_x_dim+2,block_y_dim+2); // fudge factor!
+			block_rect.attr({"stroke":"none", "stroke-width":0, "fill":"rgba(46, 82, 164, 0.5)"});
+			
+			var block_tip = track_block.name;
+
+			if ("_computedKey" in track_block) {
+
+			    var computedKey = track_block._computedKey;
+			    var key = computedKey.key;
+			    block_tip += " , Key: " + key;
+
+			    if ("score" in computedKey) {
+				var perc = 100*computedKey.score;
+				block_tip += " with " + perc.toFixed(1) + "% confidence rating";
+			    }
+			}
+
+			block_rect.attr({ "title": block_tip});
+
+			go_top_level_group.push(block_rect);
+		    }
 
 		}
Index: main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/media-player.js
===================================================================
--- main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/media-player.js	(revision 29897)
+++ main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/js/media-player.js	(revision 29898)
@@ -305,4 +305,12 @@
 
 
+function toggleGraphicEQ()
+{
+    $('#grapheqControlL').toggle();
+    $('#grapheqControlR').toggle();
+
+    return false;
+
+}
 
 function saveRecording()
Index: main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/media-player.css
===================================================================
--- main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/media-player.css	(revision 29897)
+++ main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/media-player.css	(revision 29898)
@@ -127,2 +127,6 @@
     background-position: 50%;
 }
+
+#eq-button {
+	background:transparent url('images/eq-control.png') no-repeat 0 0px;
+}
Index: main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/style.css
===================================================================
--- main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/style.css	(revision 29897)
+++ main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/style/style.css	(revision 29898)
@@ -65,2 +65,5 @@
 
 
+.ui-dialog {
+    z-index: 10;
+}
Index: main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl
===================================================================
--- main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl	(revision 29897)
+++ main/trunk/model-sites-dev/respooled/collect/popup-video-respooled/transform/pages/document.xsl	(revision 29898)
@@ -843,8 +843,9 @@
             var offset = (35 * numSliders) + 12;
 	    if (side == "L") {
+	        offset += 30; // fudge factor
 	        $('#grapheqControlL').css("left","-" + offset + "px");
 	    }
 	    else if (side == "R") {
-	        offset += 5; // fudge factor
+	        offset += 35; // fudge factor, used to be 5
 	        $('#grapheqControlR').css("right","-" + offset + "px");
 	    }
@@ -941,5 +942,5 @@
 
 
-    <div id="grapheqControlL" class="control" style="position: absolute; top: 0px; left: -132px; heightXX: 200px">
+    <div id="grapheqControlL" class="control" style="position: absolute; top: 280px; left: -132px; heightXX: 200px">
 
       <h3 style="float: left;">Graphic Equalizer (left channel)</h3>
@@ -982,5 +983,5 @@
 -->
 
-    <div id="grapheqControlR" class="control" style="position: absolute; top: 0px; right: -330px; heightXX: 200px">
+    <div id="grapheqControlR" class="control" style="position: absolute; top: 280px; right: -330px; heightXX: 200px">
       <h3 style="float: left;">Graphic Equalizer (right channel)</h3>
 
@@ -1327,4 +1328,5 @@
 <div>
 
+
   <div id='media-player' style="width: 96%">
 
@@ -1420,4 +1422,5 @@
 	    <span id="mediaPlayerTotalTime">0:00.0</span>
 	  </div>
+	  <button id="eq-button" class="button" title="Show/Hide graphics equalilzer" onclick="return toggleGraphicEQ()">EQ</button>
 	  <button id='volume-dec-button' class='button volume-minus' title='decrease volume' onclick="changeVolume('-');">Decrease volume</button>
 	  <button id='volume-inc-button' class='button volume-plus' title='increase volume' onclick="changeVolume('+');">Increase volume</button>
@@ -1427,4 +1430,8 @@
     </div>
 
+
+    <div style="clear: both;"><xsl:comment>clear floats</xsl:comment></div>
+
+    <xsl:call-template name="graphic-equalizers"/>
 
     <div style="clear: both;"><xsl:comment>clear floats</xsl:comment></div>