Index: /other-projects/nz-flag-design/trunk/main-form/my-design.jsp
===================================================================
--- /other-projects/nz-flag-design/trunk/main-form/my-design.jsp	(revision 29933)
+++ /other-projects/nz-flag-design/trunk/main-form/my-design.jsp	(revision 29934)
@@ -5,5 +5,5 @@
     <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
     <meta name="viewport" content="width=device-width, initial-scale=1"/>
-    <title>NZ Flag Design @ The University of Waikato</title>
+    <title>NZ Flag Design @ The University of Waikato (<%=request.getParameter("pub-name")%>)</title>
 	
     <script src="css/source-sans-pro.js"></script>
@@ -15,5 +15,5 @@
     <link rel="stylesheet" href="lib-slider/css/jqm-demos.css"/>
     <link rel="stylesheet" href="lib-slider/css/swipe-page.css"/>
-    <link rel="shortcut icon" href="lib-slider/favicon.ico"/>		
+    <link rel="shortcut icon" href="lib-slider/nzflag-icon64-padded.png"/>
 
     <script src="lib/jquery-1.8.2.min.js"></script>
@@ -224,4 +224,13 @@
 
   <body>
+<div id="fb-root"></div>
+<script>(function(d, s, id) {
+  var js, fjs = d.getElementsByTagName(s)[0];
+  if (d.getElementById(id)) return;
+  js = d.createElement(s); js.id = id;
+  js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.3&appId=538218162984944";
+  fjs.parentNode.insertBefore(js, fjs);
+}(document, 'script', 'facebook-jssdk'));</script>
+
     <div data-role="page" id="innovation-story-01" class="demo-page">
       
@@ -235,7 +244,7 @@
 	  <div class="story-title" style="margin-left: 25px;">
 
-	    <h1 class="center">My Design @ The University of Waikato</h1>
-
-	    <p class="center" style="margin: 6px;">-- The New Zealand Flag Debate</p>
+	    <h1 class="center">My Design '<%=request.getParameter("pub-name")%>' @ The University of Waikato</h1>
+
+	    <p class="center" style="margin: 6px;">&mdash; The New Zealand Flag Debate</p>
 	    
 	    <div class="center" style="height: 220px; position: relative;">
@@ -245,9 +254,20 @@
 	      <div style="height: 200px; font-size: 300%; display: inline-block;" class="vertical-alignXX">VS</div>
 	      <div style="display: inline-block; position: relative">
-		<a id="myflag-svg" data-ajax="false" ><img id="myflag-png" height="200" style="border: none;"/></a>
+	        <div>
+		  <a id="myflag-svg" data-ajax="false" ><img id="myflag-png" height="200" style="border: none;"/></a>
+	        </div>
+
+	        <div class="fb-like" 
+	           style="position: absolute; left:10px; width:200px;"
+		   data-href="http://www.greenstone.org/nz-flag-design/main-form/my-design.jsp?pub-name=<%=request.getParameter("pub-name")%>" 
+		   data-layout="standard" data-action="like" data-show-faces="false" data-share="false"></div>
+
+	        </div>
 	      </div>
+
 	    </div>
 
 
+<center>
 
 <script type="text/javascript">
@@ -258,5 +278,4 @@
 var desc  = "<%= desc %>";
 
-document.write("<center>");
 document.write("  <div style=\"width: 500px; background: #181818; padding: 5px; margin: 10px;\">");
 document.write("    <p>Designer: " + name + "<p/>");
@@ -264,9 +283,8 @@
 document.write("    <p>Description: " + desc + "<p/>");
 document.write("  </div>");
-document.write("</center>");
 
 
 var a2a_config = a2a_config || {};
-a2a_config.linkname = "NZ Flag Design @ University of Waikato";
+a2a_config.linkname = "NZ Flag Design @ University of Waikato (" + published_id + ")";
 
 var base_url = location.protocol + '//' + location.host + location.pathname;
@@ -275,7 +293,19 @@
 
 </script>
+
+
+</center>
+
+
+<div style="clear:both;"></div>
+
+
 
 <!-- AddToAny BEGIN -->
 <center>
+<p>
+  Share this design:
+</p>
+
 <div class="a2a_kit a2a_kit_size_32 a2a_default_style" style="width: 260px;">
 <a class="a2a_dd" href="https://www.addtoany.com/share_save"></a>
@@ -293,4 +323,5 @@
 
 
+
     <center>
     <p style="font-size: 200%;">
@@ -298,5 +329,6 @@
       <a href="../index.html">Interactive Flag Design Website</a> by:
        <a target="_blank" href="http://cosi.cms.waikato.ac.nz">The Centre for Open Source Innovation</a>
-       <a target="_blank" href="http://cosi.cms.waikato.ac.nz">(COSI)</a> at the <a href="http://www.waikato.ac.nz">University of Waikato</a>	
+       <a target="_blank" href="http://cosi.cms.waikato.ac.nz">(COSI)</a><br /> 
+       at the <a href="http://www.waikato.ac.nz">University of Waikato</a>	
      </i>
     </p>	